{ lib, ... }:
with lib;
{
  options.share.hardware.amd = {
    enable = mkEnableOption "amd hardware config";

    corectrl.enable = mkOption {
      type = types.bool;
      default = false;
    };

    corectrl.enablePolkit = mkOption {
      type = types.bool;
      default = false;
    };

    corectrl.polkitGroup = mkOption {
      type = types.str;
      default = "wheel";
    };

    lact.enable = mkOption {
      type = types.bool;
      default = false;
    };
  };
}
